# Dotfiles ## GetDotfilesConfiguration **post** `/gitpod.v1.UserService/GetDotfilesConfiguration` Gets the dotfiles for a user. Use this method to: - Retrieve user dotfiles ### Examples - Get dotfiles: Retrieves the dotfiles for the current user. ```yaml {} ``` ### Body Parameters - `empty: optional boolean` ### Returns - `dotfilesConfiguration: DotfilesConfiguration` - `repository: optional string` The URL of a dotfiles repository. ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.UserService/GetDotfilesConfiguration \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "dotfilesConfiguration": { "repository": "https://example.com" } } ``` ## SetDotfilesConfiguration **post** `/gitpod.v1.UserService/SetDotfilesConfiguration` Sets the dotfiles configuration for a user. Use this method to: - Configure user dotfiles - Update dotfiles settings ### Examples - Set dotfiles configuration: Sets the dotfiles configuration for the current user. ```yaml { "repository": "https://github.com/gitpod-io/dotfiles", } ``` - Remove dotfiles: Removes the dotfiles for the current user. ```yaml {} ``` ### Body Parameters - `repository: optional string` ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.UserService/SetDotfilesConfiguration \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json {} ``` ## Domain Types ### Dotfiles Configuration - `DotfilesConfiguration object { repository }` - `repository: optional string` The URL of a dotfiles repository. ### Dotfile Get Response - `DotfileGetResponse object { dotfilesConfiguration }` - `dotfilesConfiguration: DotfilesConfiguration` - `repository: optional string` The URL of a dotfiles repository. ### Dotfile Set Response - `DotfileSetResponse = unknown`